<html>
<head>
<title>OGRE: OgrePixelFormat.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgrePixelFormat.h</h1><a href="OgrePixelFormat_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2006 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment">Also see acknowledgements in Readme.html</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">This program is free software; you can redistribute it and/or modify it under</span>
<a name="l00011"></a>00011 <span class="comment">the terms of the GNU Lesser General Public License as published by the Free Software</span>
<a name="l00012"></a>00012 <span class="comment">Foundation; either version 2 of the License, or (at your option) any later</span>
<a name="l00013"></a>00013 <span class="comment">version.</span>
<a name="l00014"></a>00014 <span class="comment"></span>
<a name="l00015"></a>00015 <span class="comment">This program is distributed in the hope that it will be useful, but WITHOUT</span>
<a name="l00016"></a>00016 <span class="comment">ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS</span>
<a name="l00017"></a>00017 <span class="comment">FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">You should have received a copy of the GNU Lesser General Public License along with</span>
<a name="l00020"></a>00020 <span class="comment">this program; if not, write to the Free Software Foundation, Inc., 59 Temple</span>
<a name="l00021"></a>00021 <span class="comment">Place - Suite 330, Boston, MA 02111-1307, USA, or go to</span>
<a name="l00022"></a>00022 <span class="comment">http://www.gnu.org/copyleft/lesser.txt.</span>
<a name="l00023"></a>00023 <span class="comment"></span>
<a name="l00024"></a>00024 <span class="comment">You may alternatively use this source under the terms of a specific version of</span>
<a name="l00025"></a>00025 <span class="comment">the OGRE Unrestricted License provided you have obtained such a license from</span>
<a name="l00026"></a>00026 <span class="comment">Torus Knot Software Ltd.</span>
<a name="l00027"></a>00027 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00028"></a>00028 <span class="comment">*/</span>
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef _PixelFormat_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define _PixelFormat_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include "<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>"</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include "<a class="code" href="OgreCommon_8h.html">OgreCommon.h</a>"</span>
<a name="l00034"></a>00034 
<a name="l00035"></a>00035 <span class="keyword">namespace </span>Ogre {
<a name="l00037"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c">00037</a>     <span class="keyword">enum</span> <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a>
<a name="l00038"></a>00038     {
<a name="l00040"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39ca4292ed700edc51d74776f6efaf2a099">00040</a>         <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39ca4292ed700edc51d74776f6efaf2a099" title="Unknown pixel format.">PF_UNKNOWN</a> = 0,
<a name="l00042"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c3768d051f35904ebf8f6201d7418d8b0">00042</a>         <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c3768d051f35904ebf8f6201d7418d8b0" title="8-bit pixel format, all bits luminace.">PF_L8</a> = 1,
<a name="l00043"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c1cf8abcb869132891b49e7f50daf7089">00043</a>         <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c1cf8abcb869132891b49e7f50daf7089">PF_BYTE_L</a> = <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c3768d051f35904ebf8f6201d7418d8b0" title="8-bit pixel format, all bits luminace.">PF_L8</a>,
<a name="l00045"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39cae5da8ca83986d2d797611f4198d019e">00045</a>         <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39cae5da8ca83986d2d797611f4198d019e" title="16-bit pixel format, all bits luminace.">PF_L16</a> = 2,
<a name="l00046"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c10b290ca956b26e83bfae90cc981a702">00046</a>         <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c10b290ca956b26e83bfae90cc981a702">PF_SHORT_L</a> = <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39cae5da8ca83986d2d797611f4198d019e" title="16-bit pixel format, all bits luminace.">PF_L16</a>,
<a name="l00048"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c7232d786fe8e621fb39677c922713af3">00048</a>         <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c7232d786fe8e621fb39677c922713af3" title="8-bit pixel format, all bits alpha.">PF_A8</a> = 3,
<a name="l00049"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c7e333b6272d7a66213c1c02ad45ea754">00049</a>         <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c7e333b6272d7a66213c1c02ad45ea754">PF_BYTE_A</a> = <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c7232d786fe8e621fb39677c922713af3" title="8-bit pixel format, all bits alpha.">PF_A8</a>,
<a name="l00051"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c6def78fc28fd3bebea2d24d61f134894">00051</a>         <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c6def78fc28fd3bebea2d24d61f134894" title="8-bit pixel format, 4 bits alpha, 4 bits luminace.">PF_A4L4</a> = 4,
<a name="l00053"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39cc4780c5502f1ebdc5f5569d3b887249d">00053</a>         <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39cc4780c5502f1ebdc5f5569d3b887249d" title="2 byte pixel format, 1 byte luminance, 1 byte alpha">PF_BYTE_LA</a> = 5,
<a name="l00055"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c8c999dec166c197c19935e6a122c9429">00055</a>         <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c8c999dec166c197c19935e6a122c9429" title="16-bit pixel format, 5 bits red, 6 bits green, 5 bits blue.">PF_R5G6B5</a> = 6,
<a name="l00057"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39cff9e5d2b3d56a3ddaa764d9b3e95df1d">00057</a>         <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39cff9e5d2b3d56a3ddaa764d9b3e95df1d" title="16-bit pixel format, 5 bits red, 6 bits green, 5 bits blue.">PF_B5G6R5</a> = 7,
<a name="l00059"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c00c7bec590f83728fc012731d8632ea0">00059</a>         <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c00c7bec590f83728fc012731d8632ea0" title="8-bit pixel format, 2 bits blue, 3 bits green, 3 bits red.">PF_R3G3B2</a> = 31,
<a name="l00061"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c7d8dabde5a33706ce0065a545da7cdbf">00061</a>         <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c7d8dabde5a33706ce0065a545da7cdbf" title="16-bit pixel format, 4 bits for alpha, red, green and blue.">PF_A4R4G4B4</a> = 8,
<a name="l00063"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c953b1956667f02c5d06a4f89c708beca">00063</a>         <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c953b1956667f02c5d06a4f89c708beca" title="16-bit pixel format, 5 bits for blue, green, red and 1 for alpha.">PF_A1R5G5B5</a> = 9,
<a name="l00065"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c32d32d3a5a8b68c1495d5c494575a6d8">00065</a>         <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c32d32d3a5a8b68c1495d5c494575a6d8" title="24-bit pixel format, 8 bits for red, green and blue.">PF_R8G8B8</a> = 10,
<a name="l00067"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c6d2975b1eca65162dd4c24b1e180e23d">00067</a>         <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c6d2975b1eca65162dd4c24b1e180e23d" title="24-bit pixel format, 8 bits for blue, green and red.">PF_B8G8R8</a> = 11,
<a name="l00069"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c0d5c9bdb0633c1849758fea566a2b754">00069</a>         <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c0d5c9bdb0633c1849758fea566a2b754" title="32-bit pixel format, 8 bits for alpha, red, green and blue.">PF_A8R8G8B8</a> = 12,
<a name="l00071"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39cbedff220dc4f3ed679bf246c14ce3df6">00071</a>         <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39cbedff220dc4f3ed679bf246c14ce3df6" title="32-bit pixel format, 8 bits for blue, green, red and alpha.">PF_A8B8G8R8</a> = 13,
<a name="l00073"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39cbe2587bd69dbf21806c40fe1c82a22ef">00073</a>         <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39cbe2587bd69dbf21806c40fe1c82a22ef" title="32-bit pixel format, 8 bits for blue, green, red and alpha.">PF_B8G8R8A8</a> = 14,
<a name="l00075"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c74ea3b1c0c5f4ae06b1a7136c5523eca">00075</a>         <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c74ea3b1c0c5f4ae06b1a7136c5523eca" title="32-bit pixel format, 8 bits for red, green, blue and alpha.">PF_R8G8B8A8</a> = 28,
<a name="l00078"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c2542d39f6712cb6f69907330a31a9342">00078</a>         <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c2542d39f6712cb6f69907330a31a9342" title="32-bit pixel format, 8 bits for red, 8 bits for green, 8 bits for blue like PF_A8R8G8B8...">PF_X8R8G8B8</a> = 26,
<a name="l00081"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c32ab31260e738578912b5797406867ec">00081</a>         <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c32ab31260e738578912b5797406867ec" title="32-bit pixel format, 8 bits for blue, 8 bits for green, 8 bits for red like PF_A8B8G8R8...">PF_X8B8G8R8</a> = 27,
<a name="l00082"></a>00082 <span class="preprocessor">#if OGRE_ENDIAN == OGRE_ENDIAN_BIG</span>
<a name="l00084"></a>00084 <span class="preprocessor">        PF_BYTE_RGB = PF_R8G8B8,</span>
<a name="l00086"></a>00086 <span class="preprocessor">        PF_BYTE_BGR = PF_B8G8R8,</span>
<a name="l00088"></a>00088 <span class="preprocessor">        PF_BYTE_BGRA = PF_B8G8R8A8,</span>
<a name="l00090"></a>00090 <span class="preprocessor">        PF_BYTE_RGBA = PF_R8G8B8A8,</span>
<a name="l00091"></a>00091 <span class="preprocessor"></span><span class="preprocessor">#else</span>
<a name="l00093"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39ca2fa4ac766d61fa65b4c86ea5c035218">00093</a> <span class="preprocessor">        PF_BYTE_RGB = PF_B8G8R8,</span>
<a name="l00095"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c5e30f679089407e29f6cff86101daed9">00095</a> <span class="preprocessor">        PF_BYTE_BGR = PF_R8G8B8,</span>
<a name="l00097"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c8048c85373860a1893d237ac89d3712f">00097</a> <span class="preprocessor">        PF_BYTE_BGRA = PF_A8R8G8B8,</span>
<a name="l00099"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39ce0afb06af1cb73f624e66540c64bb2cb">00099</a> <span class="preprocessor">        PF_BYTE_RGBA = PF_A8B8G8R8,</span>
<a name="l00100"></a>00100 <span class="preprocessor"></span><span class="preprocessor">#endif        </span>
<a name="l00102"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c134a9e452ee64c35921f5ce518c90f89">00102</a> <span class="preprocessor">        PF_A2R10G10B10 = 15,</span>
<a name="l00104"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c383f7cd3ec0a48beff43f1c07a0a9e08">00104</a> <span class="preprocessor">        PF_A2B10G10R10 = 16,</span>
<a name="l00106"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c502daed32e87628ed5a570349cc3a365">00106</a> <span class="preprocessor">        PF_DXT1 = 17,</span>
<a name="l00108"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39cbab4b525ed0f13723c54a1a7da8bcbb6">00108</a> <span class="preprocessor">        PF_DXT2 = 18,</span>
<a name="l00110"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c8cdfa2821acc653732e0a0f855b05057">00110</a> <span class="preprocessor">        PF_DXT3 = 19,</span>
<a name="l00112"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c8d3736e589a038b18f5a4e11a942d50d">00112</a> <span class="preprocessor">        PF_DXT4 = 20,</span>
<a name="l00114"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c9fb5bd78b703661f41fc3ae06a3404ce">00114</a> <span class="preprocessor">        PF_DXT5 = 21,</span>
<a name="l00115"></a>00115 <span class="preprocessor"></span>        <span class="comment">// 16-bit pixel format, 16 bits (float) for red</span>
<a name="l00116"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39cb63dbcddd53d1f766d742fd557c26be4">00116</a>         <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39cb63dbcddd53d1f766d742fd557c26be4">PF_FLOAT16_R</a> = 32,
<a name="l00117"></a>00117         <span class="comment">// 48-bit pixel format, 16 bits (float) for red, 16 bits (float) for green, 16 bits (float) for blue</span>
<a name="l00118"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39cba6d399bba73f13acee7497b0dce9d6a">00118</a>         <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39cba6d399bba73f13acee7497b0dce9d6a">PF_FLOAT16_RGB</a> = 22,
<a name="l00119"></a>00119         <span class="comment">// 64-bit pixel format, 16 bits (float) for red, 16 bits (float) for green, 16 bits (float) for blue, 16 bits (float) for alpha</span>
<a name="l00120"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39cf91793bc9707d6541f4851722267317a">00120</a>         <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39cf91793bc9707d6541f4851722267317a">PF_FLOAT16_RGBA</a> = 23,
<a name="l00121"></a>00121         <span class="comment">// 16-bit pixel format, 16 bits (float) for red</span>
<a name="l00122"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c2da3ec4fe727d552337e02069cd9efd9">00122</a>         <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c2da3ec4fe727d552337e02069cd9efd9">PF_FLOAT32_R</a> = 33,
<a name="l00123"></a>00123        <span class="comment">// 96-bit pixel format, 32 bits (float) for red, 32 bits (float) for green, 32 bits (float) for blue</span>
<a name="l00124"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c8bd985050584e5ec421f8afc90634ea3">00124</a>         <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c8bd985050584e5ec421f8afc90634ea3">PF_FLOAT32_RGB</a> = 24,
<a name="l00125"></a>00125         <span class="comment">// 128-bit pixel format, 32 bits (float) for red, 32 bits (float) for green, 32 bits (float) for blue, 32 bits (float) for alpha</span>
<a name="l00126"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c1fe97e102d975ff9d70dc329f5d794ec">00126</a>         <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c1fe97e102d975ff9d70dc329f5d794ec">PF_FLOAT32_RGBA</a> = 25,
<a name="l00127"></a>00127         <span class="comment">// 32-bit, 2-channel s10e5 floating point pixel format, 16-bit green, 16-bit red</span>
<a name="l00128"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39cc7db24f02e2110aee18dcc2535d5755d">00128</a>         <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39cc7db24f02e2110aee18dcc2535d5755d">PF_FLOAT16_GR</a> = 35,
<a name="l00129"></a>00129         <span class="comment">// 64-bit, 2-channel floating point pixel format, 32-bit green, 32-bit red</span>
<a name="l00130"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c0f4697d37ebb958247166694666b0b3f">00130</a>         <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c0f4697d37ebb958247166694666b0b3f">PF_FLOAT32_GR</a> = 36,
<a name="l00131"></a>00131         <span class="comment">// Depth texture format</span>
<a name="l00132"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39ca9a73e89b0461099bd6e707e407e1aa5">00132</a>         <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39ca9a73e89b0461099bd6e707e407e1aa5">PF_DEPTH</a> = 29,
<a name="l00133"></a>00133         <span class="comment">// 64-bit pixel format, 16 bits for red, green, blue and alpha</span>
<a name="l00134"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c0a88817c662a408aac3077199b0498e8">00134</a>         <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c0a88817c662a408aac3077199b0498e8">PF_SHORT_RGBA</a> = 30,
<a name="l00135"></a>00135         <span class="comment">// 32-bit pixel format, 16-bit green, 16-bit red</span>
<a name="l00136"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c7dbc4fa24cdbf90139bc60e771ad58a0">00136</a>         <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c7dbc4fa24cdbf90139bc60e771ad58a0">PF_SHORT_GR</a> = 34,
<a name="l00137"></a>00137         <span class="comment">// 48-bit pixel format, 16 bits for red, green and blue</span>
<a name="l00138"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c734a52bfdd9b7f44805f6ef8f96a6224">00138</a>         <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c734a52bfdd9b7f44805f6ef8f96a6224">PF_SHORT_RGB</a> = 37,
<a name="l00139"></a>00139         <span class="comment">// Number of pixel formats currently defined</span>
<a name="l00140"></a><a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c44469cb753c29f07cba54678a57319a1">00140</a>         <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c44469cb753c29f07cba54678a57319a1">PF_COUNT</a> = 38
<a name="l00141"></a>00141     };
<a name="l00142"></a>00142 
<a name="l00146"></a><a class="code" href="namespaceOgre.html#7d83be5f58ab829ae3c94ddcf7b68bab">00146</a>     <span class="keyword">enum</span> <a class="code" href="namespaceOgre.html#7d83be5f58ab829ae3c94ddcf7b68bab" title="Flags defining some on/off properties of pixel formats.">PixelFormatFlags</a> {
<a name="l00147"></a>00147         <span class="comment">// This format has an alpha channel</span>
<a name="l00148"></a><a class="code" href="namespaceOgre.html#7d83be5f58ab829ae3c94ddcf7b68bab5a5420b4748d6fa0315bcfe592224671">00148</a>         <a class="code" href="namespaceOgre.html#7d83be5f58ab829ae3c94ddcf7b68bab5a5420b4748d6fa0315bcfe592224671">PFF_HASALPHA</a>        = 0x00000001,      
<a name="l00149"></a>00149         <span class="comment">// This format is compressed. This invalidates the values in elemBytes,</span>
<a name="l00150"></a>00150         <span class="comment">// elemBits and the bit counts as these might not be fixed in a compressed format.</span>
<a name="l00151"></a><a class="code" href="namespaceOgre.html#7d83be5f58ab829ae3c94ddcf7b68babdc2837f5c89ddec07247a374cee587a8">00151</a>         <a class="code" href="namespaceOgre.html#7d83be5f58ab829ae3c94ddcf7b68babdc2837f5c89ddec07247a374cee587a8">PFF_COMPRESSED</a>    = 0x00000002,
<a name="l00152"></a>00152         <span class="comment">// This is a floating point format</span>
<a name="l00153"></a><a class="code" href="namespaceOgre.html#7d83be5f58ab829ae3c94ddcf7b68bab212e4f47a7e014eef28315e2d1ffcdc2">00153</a>         <a class="code" href="namespaceOgre.html#7d83be5f58ab829ae3c94ddcf7b68bab212e4f47a7e014eef28315e2d1ffcdc2">PFF_FLOAT</a>           = 0x00000004,         
<a name="l00154"></a>00154         <span class="comment">// This is a depth format (for depth textures)</span>
<a name="l00155"></a><a class="code" href="namespaceOgre.html#7d83be5f58ab829ae3c94ddcf7b68bab59f8dc2c75447edfa72e8d8361ce00a0">00155</a>         <a class="code" href="namespaceOgre.html#7d83be5f58ab829ae3c94ddcf7b68bab59f8dc2c75447edfa72e8d8361ce00a0">PFF_DEPTH</a>           = 0x00000008,
<a name="l00156"></a>00156         <span class="comment">// Format is in native endian. Generally true for the 16, 24 and 32 bits</span>
<a name="l00157"></a>00157         <span class="comment">// formats which can be represented as machine integers.</span>
<a name="l00158"></a><a class="code" href="namespaceOgre.html#7d83be5f58ab829ae3c94ddcf7b68bab1fe2f5a4cbcca90fe4d97f3495ebddaf">00158</a>         <a class="code" href="namespaceOgre.html#7d83be5f58ab829ae3c94ddcf7b68bab1fe2f5a4cbcca90fe4d97f3495ebddaf">PFF_NATIVEENDIAN</a>    = 0x00000010,
<a name="l00159"></a>00159         <span class="comment">// This is an intensity format instead of a RGB one. The luminance</span>
<a name="l00160"></a>00160         <span class="comment">// replaces R,G and B. (but not A)</span>
<a name="l00161"></a><a class="code" href="namespaceOgre.html#7d83be5f58ab829ae3c94ddcf7b68bab16054f98e65973baaaf0a7906d4597a4">00161</a>         <a class="code" href="namespaceOgre.html#7d83be5f58ab829ae3c94ddcf7b68bab16054f98e65973baaaf0a7906d4597a4">PFF_LUMINANCE</a>       = 0x00000020
<a name="l00162"></a>00162     };
<a name="l00163"></a>00163     
<a name="l00165"></a><a class="code" href="namespaceOgre.html#c8f59c884998d9f84d9ea4c66e4c29fe">00165</a>     <span class="keyword">enum</span> <a class="code" href="namespaceOgre.html#c8f59c884998d9f84d9ea4c66e4c29fe" title="Pixel component format.">PixelComponentType</a>
<a name="l00166"></a>00166     {
<a name="l00167"></a><a class="code" href="namespaceOgre.html#c8f59c884998d9f84d9ea4c66e4c29fe99e711d125921bab18616e433a8a7a4f">00167</a>         <a class="code" href="namespaceOgre.html#c8f59c884998d9f84d9ea4c66e4c29fe99e711d125921bab18616e433a8a7a4f">PCT_BYTE</a> = 0,    
<a name="l00168"></a><a class="code" href="namespaceOgre.html#c8f59c884998d9f84d9ea4c66e4c29fe727e4867d2bdb1cbcbbe6649877afa8d">00168</a>         <a class="code" href="namespaceOgre.html#c8f59c884998d9f84d9ea4c66e4c29fe727e4867d2bdb1cbcbbe6649877afa8d" title="Byte per component (8 bit fixed 0.0..1.0).">PCT_SHORT</a> = 1,   
<a name="l00169"></a><a class="code" href="namespaceOgre.html#c8f59c884998d9f84d9ea4c66e4c29fe0392260bc6fed0f2fdda641869de4b38">00169</a>         <a class="code" href="namespaceOgre.html#c8f59c884998d9f84d9ea4c66e4c29fe0392260bc6fed0f2fdda641869de4b38" title="Short per component (16 bit fixed 0.0..1.0)).">PCT_FLOAT16</a> = 2, 
<a name="l00170"></a><a class="code" href="namespaceOgre.html#c8f59c884998d9f84d9ea4c66e4c29fe2baaf25269658514c08f895b965a3ad6">00170</a>         <a class="code" href="namespaceOgre.html#c8f59c884998d9f84d9ea4c66e4c29fe2baaf25269658514c08f895b965a3ad6" title="16 bit float per component">PCT_FLOAT32</a> = 3, 
<a name="l00171"></a><a class="code" href="namespaceOgre.html#c8f59c884998d9f84d9ea4c66e4c29fe9966a610c32b0e690c91a553b7b8a45e">00171</a>         <a class="code" href="namespaceOgre.html#c8f59c884998d9f84d9ea4c66e4c29fe9966a610c32b0e690c91a553b7b8a45e" title="32 bit float per component">PCT_COUNT</a> = 4    
<a name="l00172"></a>00172     };
<a name="l00173"></a>00173     
<a name="l00179"></a><a class="code" href="classOgre_1_1PixelBox.html">00179</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory...">PixelBox</a>: <span class="keyword">public</span> <a class="code" href="structOgre_1_1Box.html" title="Structure used to define a box in a 3-D integer space.">Box</a> {
<a name="l00180"></a>00180     <span class="keyword">public</span>:
<a name="l00182"></a><a class="code" href="classOgre_1_1PixelBox.html#196c57b3cf61c1545c46896cff269efb">00182</a>         <a class="code" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory...">PixelBox</a>() {}
<a name="l00190"></a><a class="code" href="classOgre_1_1PixelBox.html#422d941d56f9bb32134f304754e0d72d">00190</a>         <a class="code" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory...">PixelBox</a>(<span class="keyword">const</span> <a class="code" href="structOgre_1_1Box.html" title="Structure used to define a box in a 3-D integer space.">Box</a> &amp;extents, <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> pixelFormat, <span class="keywordtype">void</span> *pixelData=0):
<a name="l00191"></a>00191             <a class="code" href="structOgre_1_1Box.html" title="Structure used to define a box in a 3-D integer space.">Box</a>(extents), data(pixelData), format(pixelFormat)
<a name="l00192"></a>00192         {
<a name="l00193"></a>00193             setConsecutive();
<a name="l00194"></a>00194         }
<a name="l00204"></a><a class="code" href="classOgre_1_1PixelBox.html#da7e7fab7d00e3c842a514fe7aa11b0d">00204</a>         <a class="code" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory...">PixelBox</a>(<span class="keywordtype">size_t</span> width, <span class="keywordtype">size_t</span> height, <span class="keywordtype">size_t</span> depth, <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> pixelFormat, <span class="keywordtype">void</span> *pixelData=0):
<a name="l00205"></a>00205             <a class="code" href="structOgre_1_1Box.html" title="Structure used to define a box in a 3-D integer space.">Box</a>(0, 0, 0, width, height, depth),
<a name="l00206"></a>00206             data(pixelData), format(pixelFormat)
<a name="l00207"></a>00207         {
<a name="l00208"></a>00208             setConsecutive();
<a name="l00209"></a>00209         }
<a name="l00210"></a>00210         
<a name="l00212"></a><a class="code" href="classOgre_1_1PixelBox.html#c4fe215e13fc38d6a45e0c40ee2f1425">00212</a>         <span class="keywordtype">void</span> *data;
<a name="l00214"></a><a class="code" href="classOgre_1_1PixelBox.html#a4101fdc288dc41dddac88440b4d0818">00214</a>         <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format;
<a name="l00219"></a><a class="code" href="classOgre_1_1PixelBox.html#acf8f1ebed40c557389d9d1e9dda3b68">00219</a>         <span class="keywordtype">size_t</span> rowPitch;
<a name="l00225"></a><a class="code" href="classOgre_1_1PixelBox.html#5f4ac4f2e735678fc8b3ddc1068674dd">00225</a>         <span class="keywordtype">size_t</span> slicePitch;
<a name="l00226"></a>00226         
<a name="l00230"></a><a class="code" href="classOgre_1_1PixelBox.html#69fea3b4fed6726ee578519ec05bd246">00230</a>         <span class="keywordtype">void</span> setConsecutive()
<a name="l00231"></a>00231         {
<a name="l00232"></a>00232             rowPitch = getWidth();
<a name="l00233"></a>00233             slicePitch = getWidth()*getHeight();
<a name="l00234"></a>00234         }
<a name="l00239"></a><a class="code" href="classOgre_1_1PixelBox.html#6c57caf05a1a9c91780f6602bec71402">00239</a>         <span class="keywordtype">size_t</span> getRowSkip()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> rowPitch - getWidth(); }
<a name="l00244"></a><a class="code" href="classOgre_1_1PixelBox.html#27f6e0e9f80a2a3397ef5550875cee97">00244</a>         <span class="keywordtype">size_t</span> getSliceSkip()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> slicePitch - (getHeight() * rowPitch); }
<a name="l00245"></a>00245 
<a name="l00249"></a><a class="code" href="classOgre_1_1PixelBox.html#37865dea7e66ea41c9c47f8a52a55892">00249</a>         <span class="keywordtype">bool</span> isConsecutive()<span class="keyword"> const </span>
<a name="l00250"></a>00250 <span class="keyword">        </span>{ 
<a name="l00251"></a>00251             <span class="keywordflow">return</span> rowPitch == getWidth() &amp;&amp; slicePitch == getWidth()*getHeight(); 
<a name="l00252"></a>00252         }
<a name="l00256"></a>00256         <span class="keywordtype">size_t</span> getConsecutiveSize() <span class="keyword">const</span>;
<a name="l00265"></a>00265         <a class="code" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory...">PixelBox</a> getSubVolume(<span class="keyword">const</span> <a class="code" href="structOgre_1_1Box.html" title="Structure used to define a box in a 3-D integer space.">Box</a> &amp;def) <span class="keyword">const</span>;
<a name="l00266"></a>00266     };
<a name="l00267"></a>00267     
<a name="l00268"></a>00268 
<a name="l00272"></a><a class="code" href="classOgre_1_1PixelUtil.html">00272</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1PixelUtil.html" title="Some utility functions for packing and unpacking pixel data.">PixelUtil</a> {
<a name="l00273"></a>00273     <span class="keyword">public</span>:
<a name="l00280"></a>00280         <span class="keyword">static</span> <span class="keywordtype">size_t</span> getNumElemBytes( <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format );
<a name="l00281"></a>00281 
<a name="l00288"></a>00288         <span class="keyword">static</span> <span class="keywordtype">size_t</span> getNumElemBits( <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format );
<a name="l00289"></a>00289 
<a name="l00307"></a>00307         <span class="keyword">static</span> <span class="keywordtype">size_t</span> getMemorySize(<span class="keywordtype">size_t</span> width, <span class="keywordtype">size_t</span> height, <span class="keywordtype">size_t</span> depth, <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format);
<a name="l00308"></a>00308         
<a name="l00316"></a>00316         <span class="keyword">static</span> <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> getFlags( <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format );
<a name="l00317"></a>00317 
<a name="l00319"></a>00319         <span class="keyword">static</span> <span class="keywordtype">bool</span> hasAlpha(<a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format);
<a name="l00321"></a>00321         <span class="keyword">static</span> <span class="keywordtype">bool</span> isFloatingPoint(<a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format);
<a name="l00323"></a>00323         <span class="keyword">static</span> <span class="keywordtype">bool</span> isCompressed(<a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format);
<a name="l00325"></a>00325         <span class="keyword">static</span> <span class="keywordtype">bool</span> isDepth(<a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format);
<a name="l00327"></a>00327         <span class="keyword">static</span> <span class="keywordtype">bool</span> isNativeEndian(<a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format);
<a name="l00329"></a>00329         <span class="keyword">static</span> <span class="keywordtype">bool</span> isLuminance(<a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format);
<a name="l00330"></a>00330         
<a name="l00343"></a>00343         <span class="keyword">static</span> <span class="keywordtype">bool</span> isValidExtent(<span class="keywordtype">size_t</span> width, <span class="keywordtype">size_t</span> height, <span class="keywordtype">size_t</span> depth, <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format);
<a name="l00344"></a>00344 
<a name="l00348"></a>00348         <span class="keyword">static</span> <span class="keywordtype">void</span> getBitDepths(<a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format, <span class="keywordtype">int</span> rgba[4]);
<a name="l00349"></a>00349 
<a name="l00353"></a>00353         <span class="keyword">static</span> <span class="keywordtype">void</span> getBitMasks(<a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> format, <a class="code" href="namespaceOgre.html#df2a0cf2e77143b5ee1d38a75e289545">uint32</a> rgba[4]);
<a name="l00354"></a>00354 
<a name="l00357"></a>00357         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> getFormatName(<a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> srcformat);
<a name="l00358"></a>00358 
<a name="l00366"></a>00366         <span class="keyword">static</span> <span class="keywordtype">bool</span> isAccessible(<a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> srcformat);
<a name="l00367"></a>00367         
<a name="l00372"></a>00372         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#c8f59c884998d9f84d9ea4c66e4c29fe" title="Pixel component format.">PixelComponentType</a> getComponentType(<a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> fmt);
<a name="l00373"></a>00373         
<a name="l00377"></a>00377         <span class="keyword">static</span> <span class="keywordtype">size_t</span> getComponentCount(<a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> fmt);
<a name="l00378"></a>00378 
<a name="l00386"></a>00386         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> getFormatFromName(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keywordtype">bool</span> accessibleOnly = <span class="keyword">false</span>, <span class="keywordtype">bool</span> caseSensitive = <span class="keyword">false</span>);
<a name="l00387"></a>00387 
<a name="l00395"></a>00395         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> getBNFExpressionOfPixelFormats(<span class="keywordtype">bool</span> accessibleOnly = <span class="keyword">false</span>);
<a name="l00396"></a>00396 
<a name="l00406"></a>00406         <span class="keyword">static</span> <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> getFormatForBitDepths(<a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> fmt, <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> integerBits, <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> floatBits);
<a name="l00407"></a>00407 
<a name="l00413"></a>00413         <span class="keyword">static</span> <span class="keywordtype">void</span> packColour(<span class="keyword">const</span> <a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> &amp;colour, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> pf,  <span class="keywordtype">void</span>* dest);
<a name="l00419"></a>00419         <span class="keyword">static</span> <span class="keywordtype">void</span> packColour(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> r, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> g, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> b, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> a, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> pf,  <span class="keywordtype">void</span>* dest);
<a name="l00427"></a>00427         <span class="keyword">static</span> <span class="keywordtype">void</span> packColour(<span class="keyword">const</span> <span class="keywordtype">float</span> r, <span class="keyword">const</span> <span class="keywordtype">float</span> g, <span class="keyword">const</span> <span class="keywordtype">float</span> b, <span class="keyword">const</span> <span class="keywordtype">float</span> a, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> pf,  <span class="keywordtype">void</span>* dest);
<a name="l00428"></a>00428 
<a name="l00434"></a>00434         <span class="keyword">static</span> <span class="keywordtype">void</span> unpackColour(<a class="code" href="classOgre_1_1ColourValue.html" title="Class representing colour.">ColourValue</a> *colour, <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> pf,  <span class="keyword">const</span> <span class="keywordtype">void</span>* src);
<a name="l00443"></a>00443         <span class="keyword">static</span> <span class="keywordtype">void</span> unpackColour(<a class="code" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> *r, <a class="code" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> *g, <a class="code" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> *b, <a class="code" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> *a, <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> pf,  <span class="keyword">const</span> <span class="keywordtype">void</span>* src);
<a name="l00449"></a>00449         <span class="keyword">static</span> <span class="keywordtype">void</span> unpackColour(<span class="keywordtype">float</span> *r, <span class="keywordtype">float</span> *g, <span class="keywordtype">float</span> *b, <span class="keywordtype">float</span> *a, <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> pf,  <span class="keyword">const</span> <span class="keywordtype">void</span>* src); 
<a name="l00450"></a>00450         
<a name="l00459"></a>00459         <span class="keyword">static</span> <span class="keywordtype">void</span> bulkPixelConversion(<span class="keywordtype">void</span> *src, <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> srcFormat, <span class="keywordtype">void</span> *dest, <a class="code" href="namespaceOgre.html#7e0353e7d36d4c2e8468641b7303d39c" title="The pixel format used for images, textures, and render surfaces.">PixelFormat</a> dstFormat, <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> count);
<a name="l00460"></a>00460 
<a name="l00468"></a>00468         <span class="keyword">static</span> <span class="keywordtype">void</span> bulkPixelConversion(<span class="keyword">const</span> <a class="code" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory...">PixelBox</a> &amp;src, <span class="keyword">const</span> <a class="code" href="classOgre_1_1PixelBox.html" title="A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory...">PixelBox</a> &amp;dst);
<a name="l00469"></a>00469     };
<a name="l00470"></a>00470 
<a name="l00471"></a>00471 }
<a name="l00472"></a>00472 
<a name="l00473"></a>00473 <span class="preprocessor">#endif</span>
</pre></div><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:54 2008
</p>
</body>
</html>
